launcher loses focus

Bug #763883 reported by eric on 2011-04-17
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Unassigned
Unity
Fix Released
Medium
Jason Smith
nux (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned
unity (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned

Bug Description

Binary package hint: unity

Test case to reproduce it (thanks Jason!)
1. Have one maximized window for an app
2. click on the launcher to focus it, don't move the it
-> the launcher hides
3. try to trigger the launcher by reveal on edge or press super
-> not mouve event seen (no tooltip) by the launcher

Install the version in -proposed:
The launcher shouldn't hide at step 2.

In addition, some regression test fixes (all should be done with a window behind the launcher):
* show the launcher over the bfb

* mouse outside the launcher area (hidden):
1. press super
2. put the mouse over the launcher
3. release super
-> the launcher show be shown

* mouse inside the launcher area (hidden)
1. press super
2. release super
-> the launcher should hide

* mouse inside the launcher area (hidden)
1. press super
2. move the mouse more than the dead area
3. release super
-> the launcher should not hide

--------------

Sometimes... I didn't find the reason why sometimes it does and sometimes not... but if I invoke the launcher with the mouse, it comes out and then fades away before I can click an app.
It seems that it can't detect the mouse is over it.
There is a video attached

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.8-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-genUser Name 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64: AP///////wAOFLETAAAAABMQAQOAIRV4Co4tnVVQjycgUFQAAAABAQEBAQEBAQEBAQEBAQEB6hoAgFAgDTAYIBMAS88QAAAZAAAADwAgICAgICAgICBuBQ8AAAAA/gBDUFQKICAgICAgICAgAAAA/gBDTEFBMTU0V0EwNUEgALQ=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Sun Apr 17 20:53:49 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard:
 ATI Technologies Inc M56P [Radeon Mobility X1600] [1002:71c5] (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:10b2]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
MachineType: ASUSTeK Computer Inc. A6J
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=fr:en
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-genUser Name root=UUID=1f5ca297-e5c9-4b0f-a51c-07a44615a725 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-genUser Name 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-genUser Name 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/09/2006
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A6JAS.212
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: A6J
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrA6JAS.212:bd05/09/2006:svnASUSTeKComputerInc.:pnA6J:pvr1.0:rvnASUSTeKComputerInc.:rnA6J:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr:
dmi.product.name: A6J
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu1
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

eric (obrowny06) wrote :
Didier Roche (didrocks) wrote :

Hey obrowny,

Seems that the stacking should be in

Didier Roche (didrocks) wrote :

Hey obrowny,

Seems that the stacking should be in a weird state, do you have any way to reproduce that easily?

Didier Roche (didrocks) wrote :

Sam thinks it's rather a Nux issue

affects: unity (Ubuntu) → nux (Ubuntu)
Changed in nux (Ubuntu):
importance: Undecided → Medium
Didier Roche (didrocks) wrote :

smspillaz|z: I'd need their xwininfo -root -tree and then xwininfo -all -id (the window id of "launcher") to be sure
Can you provide that? (you can get with the first element the id of the launcher window)

Changed in unity:
milestone: none → 3.8.10
eric (obrowny06) wrote :

Didier : In fact, if I open one program it does not happen but it happens if I have more than one active program.
Then it can be firefox with libreoffice or liferea with the software center... As soon as 2 or more programs are open the launcher vanishes. It happens everytime.
can't tell you more...

Didier Roche (didrocks) on 2011-04-19
Changed in unity:
milestone: 3.8.10 → 3.8.12
David Barth (dbarth) on 2011-04-22
Changed in unity:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Jason Smith (jassmith)
milestone: 3.8.12 → 3.8.14
Didier Roche (didrocks) wrote :

Test case to reproduce it (thanks Jason!)
1. Have one maximized window for an app
2. click on the launcher to focus it, don't move the it
-> the launcher hides
3. try to trigger the launcher by reveal on edge or press super
-> not mouve event seen (no tooltip) by the launcher

Changed in nux (Ubuntu):
status: New → Confirmed
Changed in nux:
status: New → Confirmed
importance: Undecided → Medium
Didier Roche (didrocks) on 2011-04-22
Changed in unity:
milestone: 3.8.14 → 3.8.12
status: Confirmed → Fix Committed
Changed in nux:
status: Confirmed → Fix Committed
Changed in nux (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-04-27
Changed in unity (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Didier Roche (didrocks) on 2011-04-27
Changed in nux:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-04-27
Changed in unity:
status: Fix Committed → Fix Released
description: updated
Didier Roche (didrocks) on 2011-04-27
description: updated

Accepted nux into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

The tests now pass for me

Martin Pitt (pitti) on 2011-04-27
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.48-0ubuntu1

---------------
nux (0.9.48-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
    - fix compiz crashed with SIGSEGV in nux::IOpenGLShaderProgram::Begin()
      (LP: #768178)
    - launcher loses focus (LP: #763883)
 -- Didier Roche <email address hidden> Wed, 27 Apr 2011 09:32:26 +0200

Changed in nux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.12-0ubuntu1

---------------
unity (3.8.12-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
    - Display garbled upon restoring original resolution or connecting external
      displays (LP: #753971)
    - migrate_favorites.py crashed with NameError in __main__: name 'GError' is
      not defined (LP: #759744)
    - compiz crashed with SIGSEGV in PlacesHomeView::Refresh() (LP: #762120)
    - launcher loses focus (LP: #763883)
  * debian/patches/01_add_scp_to_systray.patch:
    - Whitelist systray to system-config-printer (LP: #771562)
 -- Didier Roche <email address hidden> Wed, 27 Apr 2011 11:04:17 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied to oneiric as well.

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers